com.trendmicro.ds.platform.rest.object.scheduledtask

## Class SynchronizeDirectoryTaskParameters

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.scheduledtask.SynchronizeDirectoryTaskParameters

- All Implemented Interfaces:
    ITaskParameters

      public class SynchronizeDirectoryTaskParameters
      extends java.lang.Object
      implements ITaskParameters

  Parameters for synchronize directory task.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SynchronizeDirectoryTaskParameters()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Integer` | `getHostGroupID()` Get the host group identifier.
    `void` | `setHostGroupID(java.lang.Integer hostGroupID)` Set the host group identifier.
    `java.lang.String` | `toString()`
    `SynchronizeDirectoryTaskParameters` | `withHostGroupID(java.lang.Integer hostGroupID)` Set the host group identifier.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SynchronizeDirectoryTaskParameters

          public SynchronizeDirectoryTaskParameters()

  - ### Method Detail

    - #### getHostGroupID

          public java.lang.Integer getHostGroupID()

      Get the host group identifier.
      Returns:
        the host group identifier.

    - #### setHostGroupID

          public void setHostGroupID(java.lang.Integer hostGroupID)

      Set the host group identifier.
      Parameters:
        `hostGroupID` - the host group identifier.

    - #### withHostGroupID

          public SynchronizeDirectoryTaskParameters withHostGroupID(java.lang.Integer hostGroupID)

      Set the host group identifier.
      Parameters:
        `hostGroupID` - the host group identifier.
      Returns:
        the updated SynchronizeDirectoryTaskParameters object.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.